Package xg

# Class Validator.ValidatorOptions

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
xg.Validator.ValidatorOptions

All Implemented Interfaces:
  `Message`, `MessageLite`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Serializable`, `Validator.ValidatorOptionsOrBuilder`

Enclosing class:
  Validator

public static final class Validator.ValidatorOptions extends GeneratedMessageV3 implements Validator.ValidatorOptionsOrBuilder
Protobuf type `ValidatorOptions`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`Validator.ValidatorOptions.Builder`
Protobuf type `ValidatorOptions`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`GeneratedMessageV3.BuilderParent, GeneratedMessageV3.ExtendableBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, GeneratedMessageV3.ExtendableMessage<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>, GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends GeneratedMessageV3.ExtendableMessage<MessageT>>, GeneratedMessageV3.FieldAccessorTable, GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`COUNT_EQUAL_FIELD_NUMBER`
`static final int`
`COUNT_MAX_FIELD_NUMBER`
`static final int`
`COUNT_MIN_FIELD_NUMBER`
`static final int`
`COUNT_NOT_EQUAL_FIELD_NUMBER`
`static final int`
`EQUAL_FIELD_NUMBER`
`static final int`
`HAS_KEY_FIELD_NUMBER`
`static final int`
`MAX_FIELD_NUMBER`
`static final int`
`MIN_FIELD_NUMBER`
`static final int`
`NOT_EQUAL_FIELD_NUMBER`
`static final Parser<Validator.ValidatorOptions>`
`PARSER`
Deprecated.
`static final int`
`REGEX_FIELD_NUMBER`
`static final int`
`UUID_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Compares the specified object with this message for equality.
`String`
`getCountEqual()`
`optional string count_equal = 9;`
`ByteString`
`getCountEqualBytes()`
`optional string count_equal = 9;`
`String`
`getCountMax()`
`optional string count_max = 8;`
`ByteString`
`getCountMaxBytes()`
`optional string count_max = 8;`
`String`
`getCountMin()`
`optional string count_min = 7;`
`ByteString`
`getCountMinBytes()`
`optional string count_min = 7;`
`String`
`getCountNotEqual()`
`optional string count_not_equal = 10;`
`ByteString`
`getCountNotEqualBytes()`
`optional string count_not_equal = 10;`
`static Validator.ValidatorOptions`
`getDefaultInstance()`
`Validator.ValidatorOptions`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`String`
`getEqual()`
`optional string equal = 3;`
`ByteString`
`getEqualBytes()`
`optional string equal = 3;`
`String`
`getHasKey()`
`optional string has_key = 11;`
`ByteString`
`getHasKeyBytes()`
`optional string has_key = 11;`
`String`
`getMax()`
`optional string max = 2;`
`ByteString`
`getMaxBytes()`
`optional string max = 2;`
`String`
`getMin()`
`optional string min = 1;`
`ByteString`
`getMinBytes()`
`optional string min = 1;`
`String`
`getNotEqual()`
`optional string not_equal = 4;`
`ByteString`
`getNotEqualBytes()`
`optional string not_equal = 4;`
`Parser<Validator.ValidatorOptions>`
`getParserForType()`
TODO(b/258340024): Remove this unnecessary intermediate implementation of this method.
`String`
`getRegex()`
`optional string regex = 6;`
`ByteString`
`getRegexBytes()`
`optional string regex = 6;`
`int`
`getSerializedSize()`
Get the number of bytes required to encode this message.
`String`
`getUuid()`
`optional string uuid = 5;`
`ByteString`
`getUuidBytes()`
`optional string uuid = 5;`
`boolean`
`hasCountEqual()`
`optional string count_equal = 9;`
`boolean`
`hasCountMax()`
`optional string count_max = 8;`
`boolean`
`hasCountMin()`
`optional string count_min = 7;`
`boolean`
`hasCountNotEqual()`
`optional string count_not_equal = 10;`
`boolean`
`hasEqual()`
`optional string equal = 3;`
`boolean`
`hasHasKey()`
`optional string has_key = 11;`
`int`
`hashCode()`
Returns the hash code value for this message.
`boolean`
`hasMax()`
`optional string max = 2;`
`boolean`
`hasMin()`
`optional string min = 1;`
`boolean`
`hasNotEqual()`
`optional string not_equal = 4;`
`boolean`
`hasRegex()`
`optional string regex = 6;`
`boolean`
`hasUuid()`
`optional string uuid = 5;`
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`static Validator.ValidatorOptions.Builder`
`newBuilder()`
`static Validator.ValidatorOptions.Builder`
`newBuilder(Validator.ValidatorOptions prototype)`
`Validator.ValidatorOptions.Builder`
`newBuilderForType()`
Constructs a new builder for a message of the same type as this message.
`protected Validator.ValidatorOptions.Builder`
`newBuilderForType(GeneratedMessageV3.BuilderParent parent)`
TODO(b/258340024): remove this together with GeneratedMessageV3.BuilderParent.
`protected Object`
`newInstance(GeneratedMessageV3.UnusedPrivateParameter unused)`
Creates a new instance of this message type.
`static Validator.ValidatorOptions`
`parseDelimitedFrom(InputStream input)`
`static Validator.ValidatorOptions`
`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Validator.ValidatorOptions`
`parseFrom(byte[] data)`
`static Validator.ValidatorOptions`
`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static Validator.ValidatorOptions`
`parseFrom(ByteString data)`
`static Validator.ValidatorOptions`
`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static Validator.ValidatorOptions`
`parseFrom(CodedInputStream input)`
`static Validator.ValidatorOptions`
`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static Validator.ValidatorOptions`
`parseFrom(InputStream input)`
`static Validator.ValidatorOptions`
`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Validator.ValidatorOptions`
`parseFrom(ByteBuffer data)`
`static Validator.ValidatorOptions`
`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
`static Parser<Validator.ValidatorOptions>`
`parser()`
`Validator.ValidatorOptions.Builder`
`toBuilder()`
Constructs a builder initialized with the current message.
`void`
`writeTo(CodedOutputStream output)`
Serializes the message and writes it to `output`.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### MIN_FIELD_NUMBER

public static final int MIN_FIELD_NUMBER

See Also:
  - Constant Field Values

### MAX_FIELD_NUMBER

public static final int MAX_FIELD_NUMBER

See Also:
  - Constant Field Values

### EQUAL_FIELD_NUMBER

public static final int EQUAL_FIELD_NUMBER

See Also:
  - Constant Field Values

### NOT_EQUAL_FIELD_NUMBER

public static final int NOT_EQUAL_FIELD_NUMBER

See Also:
  - Constant Field Values

### UUID_FIELD_NUMBER

public static final int UUID_FIELD_NUMBER

See Also:
  - Constant Field Values

### REGEX_FIELD_NUMBER

public static final int REGEX_FIELD_NUMBER

See Also:
  - Constant Field Values

### COUNT_MIN_FIELD_NUMBER

public static final int COUNT_MIN_FIELD_NUMBER

See Also:
  - Constant Field Values

### COUNT_MAX_FIELD_NUMBER

public static final int COUNT_MAX_FIELD_NUMBER

See Also:
  - Constant Field Values

### COUNT_EQUAL_FIELD_NUMBER

public static final int COUNT_EQUAL_FIELD_NUMBER

See Also:
  - Constant Field Values

### COUNT_NOT_EQUAL_FIELD_NUMBER

public static final int COUNT_NOT_EQUAL_FIELD_NUMBER

See Also:
  - Constant Field Values

### HAS_KEY_FIELD_NUMBER

public static final int HAS_KEY_FIELD_NUMBER

See Also:
  - Constant Field Values

### PARSER

@Deprecated public static final Parser<Validator.ValidatorOptions> PARSER
Deprecated.

## Method Details

### newInstance

protected Object newInstance(GeneratedMessageV3.UnusedPrivateParameter unused)
Description copied from class: `GeneratedMessageV3`
Creates a new instance of this message type. Overridden in the generated code.

Overrides:
  `newInstance` in class `GeneratedMessageV3`

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3`

### hasMin

public boolean hasMin()
`optional string min = 1;`

Specified by:
  `hasMin` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  Whether the min field is set.

### getMin

public String getMin()
`optional string min = 1;`

Specified by:
  `getMin` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The min.

### getMinBytes

public ByteString getMinBytes()
`optional string min = 1;`

Specified by:
  `getMinBytes` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The bytes for min.

### hasMax

public boolean hasMax()
`optional string max = 2;`

Specified by:
  `hasMax` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  Whether the max field is set.

### getMax

public String getMax()
`optional string max = 2;`

Specified by:
  `getMax` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The max.

### getMaxBytes

public ByteString getMaxBytes()
`optional string max = 2;`

Specified by:
  `getMaxBytes` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The bytes for max.

### hasEqual

public boolean hasEqual()
`optional string equal = 3;`

Specified by:
  `hasEqual` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  Whether the equal field is set.

### getEqual

public String getEqual()
`optional string equal = 3;`

Specified by:
  `getEqual` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The equal.

### getEqualBytes

public ByteString getEqualBytes()
`optional string equal = 3;`

Specified by:
  `getEqualBytes` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The bytes for equal.

### hasNotEqual

public boolean hasNotEqual()
`optional string not_equal = 4;`

Specified by:
  `hasNotEqual` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  Whether the notEqual field is set.

### getNotEqual

public String getNotEqual()
`optional string not_equal = 4;`

Specified by:
  `getNotEqual` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The notEqual.

### getNotEqualBytes

public ByteString getNotEqualBytes()
`optional string not_equal = 4;`

Specified by:
  `getNotEqualBytes` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The bytes for notEqual.

### hasUuid

public boolean hasUuid()
`optional string uuid = 5;`

Specified by:
  `hasUuid` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  Whether the uuid field is set.

### getUuid

public String getUuid()
`optional string uuid = 5;`

Specified by:
  `getUuid` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The uuid.

### getUuidBytes

public ByteString getUuidBytes()
`optional string uuid = 5;`

Specified by:
  `getUuidBytes` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The bytes for uuid.

### hasRegex

public boolean hasRegex()
`optional string regex = 6;`

Specified by:
  `hasRegex` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  Whether the regex field is set.

### getRegex

public String getRegex()
`optional string regex = 6;`

Specified by:
  `getRegex` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The regex.

### getRegexBytes

public ByteString getRegexBytes()
`optional string regex = 6;`

Specified by:
  `getRegexBytes` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The bytes for regex.

### hasCountMin

public boolean hasCountMin()
`optional string count_min = 7;`

Specified by:
  `hasCountMin` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  Whether the countMin field is set.

### getCountMin

public String getCountMin()
`optional string count_min = 7;`

Specified by:
  `getCountMin` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The countMin.

### getCountMinBytes

public ByteString getCountMinBytes()
`optional string count_min = 7;`

Specified by:
  `getCountMinBytes` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The bytes for countMin.

### hasCountMax

public boolean hasCountMax()
`optional string count_max = 8;`

Specified by:
  `hasCountMax` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  Whether the countMax field is set.

### getCountMax

public String getCountMax()
`optional string count_max = 8;`

Specified by:
  `getCountMax` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The countMax.

### getCountMaxBytes

public ByteString getCountMaxBytes()
`optional string count_max = 8;`

Specified by:
  `getCountMaxBytes` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The bytes for countMax.

### hasCountEqual

public boolean hasCountEqual()
`optional string count_equal = 9;`

Specified by:
  `hasCountEqual` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  Whether the countEqual field is set.

### getCountEqual

public String getCountEqual()
`optional string count_equal = 9;`

Specified by:
  `getCountEqual` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The countEqual.

### getCountEqualBytes

public ByteString getCountEqualBytes()
`optional string count_equal = 9;`

Specified by:
  `getCountEqualBytes` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The bytes for countEqual.

### hasCountNotEqual

public boolean hasCountNotEqual()
`optional string count_not_equal = 10;`

Specified by:
  `hasCountNotEqual` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  Whether the countNotEqual field is set.

### getCountNotEqual

public String getCountNotEqual()
`optional string count_not_equal = 10;`

Specified by:
  `getCountNotEqual` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The countNotEqual.

### getCountNotEqualBytes

public ByteString getCountNotEqualBytes()
`optional string count_not_equal = 10;`

Specified by:
  `getCountNotEqualBytes` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The bytes for countNotEqual.

### hasHasKey

public boolean hasHasKey()
`optional string has_key = 11;`

Specified by:
  `hasHasKey` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  Whether the hasKey field is set.

### getHasKey

public String getHasKey()
`optional string has_key = 11;`

Specified by:
  `getHasKey` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The hasKey.

### getHasKeyBytes

public ByteString getHasKeyBytes()
`optional string has_key = 11;`

Specified by:
  `getHasKeyBytes` in interface `Validator.ValidatorOptionsOrBuilder`
Returns:
  The bytes for hasKey.

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3`

### writeTo

public void writeTo(CodedOutputStream output) throws IOException
Description copied from interface: `MessageLite`
Serializes the message and writes it to `output`. This does not flush or close the stream.

Specified by:
  `writeTo` in interface `MessageLite`
Overrides:
  `writeTo` in class `GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()
Description copied from interface: `MessageLite`
Get the number of bytes required to encode this message. The result is only computed on the first call and memoized after that. If this message requires more than Integer.MAX_VALUE bytes to encode, the return value will be smaller than the actual number of bytes required and might be negative.

Specified by:
  `getSerializedSize` in interface `MessageLite`
Overrides:
  `getSerializedSize` in class `GeneratedMessageV3`

### equals

public boolean equals(Object obj)
Description copied from interface: `Message`
Compares the specified object with this message for equality. Returns `true` if the given object is a message of the same type (as defined by `getDescriptorForType()`) and has identical values for all of its fields. Subclasses must implement this; inheriting `Object.equals()` is incorrect.

Specified by:
  `equals` in interface `Message`
Overrides:
  `equals` in class `AbstractMessage`
Parameters:
  `obj` - object to be compared for equality with this message
Returns:
  `true` if the specified object is equal to this message

### hashCode

public int hashCode()
Description copied from interface: `Message`
Returns the hash code value for this message. The hash code of a message should mix the message's type (object identity of the descriptor) with its contents (known and unknown field values). Subclasses must implement this; inheriting `Object.hashCode()` is incorrect.

Specified by:
  `hashCode` in interface `Message`
Overrides:
  `hashCode` in class `AbstractMessage`
Returns:
  the hash code value for this message
See Also:
  - `Map.hashCode()`

### parseFrom

public static Validator.ValidatorOptions parseFrom(ByteBuffer data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static Validator.ValidatorOptions parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static Validator.ValidatorOptions parseFrom(ByteString data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static Validator.ValidatorOptions parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static Validator.ValidatorOptions parseFrom(byte[] data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static Validator.ValidatorOptions parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static Validator.ValidatorOptions parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static Validator.ValidatorOptions parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static Validator.ValidatorOptions parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static Validator.ValidatorOptions parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static Validator.ValidatorOptions parseFrom(CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static Validator.ValidatorOptions parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public Validator.ValidatorOptions.Builder newBuilderForType()
Description copied from interface: `MessageLite`
Constructs a new builder for a message of the same type as this message.

Specified by:
  `newBuilderForType` in interface `Message`
Specified by:
  `newBuilderForType` in interface `MessageLite`

### newBuilder

public static Validator.ValidatorOptions.Builder newBuilder()

### newBuilder

public static Validator.ValidatorOptions.Builder newBuilder(Validator.ValidatorOptions prototype)

### toBuilder

public Validator.ValidatorOptions.Builder toBuilder()
Description copied from interface: `MessageLite`
Constructs a builder initialized with the current message. Use this to derive a new message from the current one.

Specified by:
  `toBuilder` in interface `Message`
Specified by:
  `toBuilder` in interface `MessageLite`

### newBuilderForType

protected Validator.ValidatorOptions.Builder newBuilderForType(GeneratedMessageV3.BuilderParent parent)
Description copied from class: `GeneratedMessageV3`
TODO(b/258340024): remove this together with GeneratedMessageV3.BuilderParent.

Specified by:
  `newBuilderForType` in class `GeneratedMessageV3`

### getDefaultInstance

public static Validator.ValidatorOptions getDefaultInstance()

### parser

public static Parser<Validator.ValidatorOptions> parser()

### getParserForType

public Parser<Validator.ValidatorOptions> getParserForType()
Description copied from class: `GeneratedMessageV3`
TODO(b/258340024): Remove this unnecessary intermediate implementation of this method.

Specified by:
  `getParserForType` in interface `Message`
Specified by:
  `getParserForType` in interface `MessageLite`
Overrides:
  `getParserForType` in class `GeneratedMessageV3`

### getDefaultInstanceForType

public Validator.ValidatorOptions getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`